Subject: bug#14233: 24.3; Don't constrain frame size to character multiples

From: Eli Zaretskii <[email-masked]>
Date: Tue, 23 Apr 2013 19:23:15 +0300

> Date: Tue, 23 Apr 2013 08:50:53 +0200
> From: martin rudalics <[email-masked]>
> CC: Eli Zaretskii <[email-masked]>, [email-masked], 
>  [email-masked]
> 
> When you remove the scrollbars the Emacs frame shrinks.  When you
> remove the fringes it does not shrink.  Yet, when changing frame
> sizes we are expected to handle fringes and scrollbars alike: They
> are no text, they are no windows and therefore should not be counted
> in the width of the frame's text area.

I think this peculiar handling of the fringes is because of the desire
to count the display margins, if they are present, as part of the text
area.